Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class ConstructorMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.ConstructorMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

Direct Known Subclasses:
  ConstructionMatcher, ExecutionConstructorMatcher

public class ConstructorMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.22 $
Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`
`protected String` | `classname`
`protected int` | `conModifiers`
`protected javassist.CtConstructor` | `ctCon`
`protected Constructor` | `refCon`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`ConstructorMatcher(Advisor advisor, Constructor con, ASTStart start)`
`ConstructorMatcher(Advisor advisor, javassist.CtConstructor con, ASTStart start)`

Method Summary
`Boolean` | `matches(ASTConstructor node)`
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTAll node, Object data)`
`Object` | `visit(ASTConstructor node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisor

    protected Advisor advisor

### ctCon

    protected javassist.CtConstructor ctCon

### refCon

    protected Constructor refCon

### conModifiers

    protected int conModifiers

### classname

    protected String classname

Constructor Detail

### ConstructorMatcher

    public ConstructorMatcher(Advisor advisor,
                              javassist.CtConstructor con,
                              ASTStart start)
                       throws javassist.NotFoundException

### ConstructorMatcher

    public ConstructorMatcher(Advisor advisor,
                              Constructor con,
                              ASTStart start)

Method Detail

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### visit

    public Object visit(ASTConstructor node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### matches

    public Boolean matches(ASTConstructor node)

### visit

    public Object visit(ASTAll node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.